[android-components](../../../../index.md) / [mozilla.components.ui.doorhanger](../../../index.md) / [DoorhangerPrompt](../../index.md) / [Control](../index.md) / [CheckBox](./index.md)

# CheckBox

`data class CheckBox : `[`Control`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/ui/doorhanger/src/main/java/mozilla/components/ui/doorhanger/DoorhangerPrompt.kt#L140)

[Control](../index.md) implementation for checkboxes. A checkbox is a specific type of two-states button that can be
either checked or unchecked.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `CheckBox(label: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, checked: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`)`<br>[Control](../index.md) implementation for checkboxes. A checkbox is a specific type of two-states button that can be either checked or unchecked. |

### Properties

| Name | Summary |
|---|---|
| [checked](checked.md) | `var checked: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [label](label.md) | `val label: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
